# TODO:
# - *.a and *.la? delete?
%define	orgname	iperf
Summary:	Network performance measurement tool
Summary(pl.UTF-8):	Narzędzie do szacowania wydajności sieci
Name:		iperf3
Version:	3.0.3
Release:	1
License:	BSD-like
Group:		Networking/Utilities
Source0:	http://stats.es.net/software/iperf-%{version}.tar.gz
# Source0-md5:	dc5f0a7e2b3007ee3203055f000637bb
Patch0:		%{name}-nopg.patch
URL:		http://code.google.com/p/iperf/
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Iperf was orginally developed by NLANR/DAST as a modern alternative
for measuring maximum TCP and UDP bandwidth performance. Iperf allows
the tuning of various parameters and UDP characteristics. Iperf
reports bandwidth, delay jitter, datagram loss.

iperf3 is a new implementation from scratch, with the goal of a
smaller, simpler code base, and a library version of the functionality
that can be used in other programs. iperf3 is not backwards compatible
with iperf2.

%package libs
Summary:	Shared iperf3 libraries
Summary(pl.UTF-8):      Biblioteki współdzielone iperf3
Group:          Libraries

%description libs
Shared iperf3 libraries.

%description libs -l pl.UTF-8
Biblioteki współdzielone iperf3.

%package devel
Summary:        Header files for iperf3 libraries
Summary(pl.UTF-8):      Pliki nagłówkowe bibliotek iperf3
Group:          Development/Libraries
Requires:       %{name}-libs = %{epoch}:%{version}-%{release}

%description devel
Header files for iperf3 libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe bibliotek iperf3.

%prep
%setup -q -n %{orgname}-%{version}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS README.md RELEASE_NOTES
%attr(755,root,root) %{_bindir}/iperf3
%{_mandir}/man1/*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libiperf.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libiperf.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libiperf.so
%{_includedir}/iperf_api.h
%{_mandir}/man3/*.3*
%changelog
* Mon Nov 03 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/iperf3.git;a=log;h=master

* Mon Nov 03 2014 Paweł Gołaszewski <blues@pld-linux.org> 56ccfbc
- rel.1 - libs and devel packages

* Mon Nov 03 2014 Paweł Gołaszewski <blues@pld-linux.org> 7321b86
- 3.0.3

* Mon Feb 18 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> c42451f
- avoid -pg (conflicts with -fomit-frame-pointer)

* Sat Feb 16 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 8553f23
- build fixed

* Mon Feb 27 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> c5c47ef
- initial

